%global         base_name polkit-kde-agent-1

Name:           polkit-kde
Summary:        PolicyKit integration for KDE Desktop
Version:        5.27.11
Release:        1

License:        GPLv2+
URL:            https://invent.kde.org/plasma/%{base_name}

%global revision %(echo %{version} | cut -d. -f3)
Source0:        http://download.kde.org/stable/plasma/%{version}/%{base_name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  systemd
BuildRequires:  qt5-qtbase-devel

BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kcrash-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  kf5-kdeclarative-devel

BuildRequires:  polkit-qt5-1-devel

Provides:       PolicyKit-authentication-agent = %{version}-%{release}
Provides:       polkit-kde-1 = %{version}-%{release}
Provides:       polkit-kde-agent-1 = %{version}-%{release}
Obsoletes:      PolicyKit-kde < 4.5
Requires:       polkit

%description
Provides Policy Kit Authentication Agent that nicely fits to KDE.


%prep
%autosetup -n %{base_name}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DKDE_INSTALL_LIBEXECDIR:PATH=%{_kf5_libexecdir}
popd
%make_build  -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}

%find_lang polkit-kde-authentication-agent-1


%files -f polkit-kde-authentication-agent-1.lang
%license LICENSES
%{_kf5_libexecdir}/polkit-kde-authentication-agent-1
%{_sysconfdir}/xdg/autostart/polkit-kde-authentication-agent-1.desktop
%{_kf5_datadir}/knotifications5/policykit1-kde.notifyrc
%{_kf5_datadir}/applications/org.kde.polkit-kde-authentication-agent-1.desktop
%{_userunitdir}/plasma-polkit-agent.service


%changelog
* Thu Mar 14 2024 peijiankang <peijiankang@kylinos.cn> - 5.27.11-1
- Update package to version 5.27.11

* Thu Jan 11 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 5.27.10-1
- Update package to version 5.27.10

* Thu Sep 28 2023 misaka00251 <liuxin@iscas.ac.cn> - 5.27.6-1
- Upgrade to 5.27.6

* Tue Nov 01 2022 misaka00251 <liuxin@iscas.ac.cn> - 5.25.5-1
- Init package (Derived from federa project, thanks to fedora team)
